angular.module('IDRMAGISOFT').controller('GeneralController', InitController);
InitController.$inject = ['$scope', '$state', '$sessionStorage', 'servicios', '$interval', '$http'];
function InitController($scope, $state, $sessionStorage, servicios, $interval, $http) {
   
    $scope.mostrar = true;

    $scope.ClicItem = function (es) {
        switch (es) {
            case 'Registro':
                $state.go('Registro');
                break;
        }
    }
    
    $scope.cerrarSesion = function (es) {
        delete $sessionStorage.apellidoUsuario;
        delete $sessionStorage.idusuario;
        delete $sessionStorage.nombreUsuario;
        delete $sessionStorage.rol;
        $state.go('login');
    }

    $scope.keyDown = function (value) {
        if (value.keyCode == 13 && value.altKey) {
        }
    };

    // var intervalConexionNube = $interval(function () {
    //     $http.get("app/model/conexionNube2.php")
    //     .then(function (response) {
    //     });
    // }, 60000);

    // var Reportarusuarios = $interval(function () {
    //     console.log("reporte");
    //     $http.get("app/model/Servidor.php?accion=Reportarusuarios")
    //     .then(function (response) {
    //     });
    // }, 60000);

}